CameraPoseWriter Class Reference

CameraPoseWriter writes all camera poses computed by the KinfuTracker to a file on disk. More...

`#include </build/pcl-gWGA5r/pcl-1.10.0+dfsg/gpu/kinfu/tools/camera_pose.h>`

Inheritance diagram for CameraPoseWriter:

## Public Member Functions

| CameraPoseWriter (const std::string &output_filename)
| ~CameraPoseWriter ()
void | processPose (const Eigen::Affine3f &pose) override
| process the camera pose, this method is called at every frame. More...
Public Member Functions inherited from CameraPoseProcessor
virtual | ~CameraPoseProcessor ()

## Additional Inherited Members

Public Types inherited from CameraPoseProcessor
using | Ptr = shared_ptr< CameraPoseProcessor >
using | ConstPtr = shared_ptr< const CameraPoseProcessor >

## Detailed Description

CameraPoseWriter writes all camera poses computed by the KinfuTracker to a file on disk.

Definition at line 70 of file camera_pose.h.

## Constructor & Destructor Documentation

## CameraPoseWriter()

CameraPoseWriter::CameraPoseWriter | ( | const std::string & | output_filename | ) |

inline

Parameters

  output_filename | name of file to write

Definition at line 78 of file camera_pose.h.

## ~CameraPoseWriter()

CameraPoseWriter::~CameraPoseWriter | ( |  | ) |

inline

Definition at line 84 of file camera_pose.h.

## Member Function Documentation

## processPose()

void CameraPoseWriter::processPose | ( | const Eigen::Affine3f & | pose | ) |

inline override virtual

process the camera pose, this method is called at every frame.

Implements CameraPoseProcessor.

Definition at line 94 of file camera_pose.h.

The documentation for this class was generated from the following file:

- /build/pcl-gWGA5r/pcl-1.10.0+dfsg/gpu/kinfu/tools/camera_pose.h